Summary:        Library for CAB and related files compression and decompression
Name:           libmspack
Version:        0.10.1
Release:        0.4.1%{?dist}
License:        LGPLv2
URL:            http://www.cabextract.org.uk/libmspack/
Source0:        http://www.cabextract.org.uk/libmspack/%{name}-%{version}alpha.tar.gz

BuildRequires:  make gcc
BuildRequires:  doxygen

%description
This package provides both compression and decompression of some loosely related file formats 
used by Microsoft.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries, header files and documentation for developing applications 
that use %{name}.

%prep
%autosetup -n %{name}-%{version}alpha
chmod a-x mspack/mspack.h

%build
%configure --disable-static --disable-silent-rules

# remove rpath the hard way
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/libmspack.la

iconv -f ISO_8859-1 -t utf8 ChangeLog --output Changelog.utf8
touch -r ChangeLog Changelog.utf8
mv Changelog.utf8 ChangeLog

pushd doc
doxygen
find html -type f | xargs touch -r %{SOURCE0}
rm -f html/installdox
popd

%files
%license COPYING.LIB
%doc README TODO ChangeLog AUTHORS
%{_libdir}/%{name}.so.0*

%files devel
%doc doc/html
%{_includedir}/mspack.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-0.4.1
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-0.3.1
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-0.2.1
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Wang Guodong <gordonwwang@tencent.com> - 0.10.1-0.1.1
- package init.
